### Method

# Gtk IconPaintable is_symbolic

deprecated: 4.20

#### Declaration [src]

    gboolean
    gtk_icon_paintable_is_symbolic (
      GtkIconPaintable* self
    )

#### Description [src]

Checks if the icon is symbolic or not.

This currently uses only the file name and not the file contents for determining this. This behaviour may change in the future.

Deprecated since: 4.20

Please do not use it in newly written code.

Gets property | `Gtk.IconPaintable:is-symbolic`

#### Return value

Type: `gboolean`

True if the icon is symbolic, false otherwise.